import { create } from 'zustand';
import { devtools } from 'zustand/middleware';

type AuthState = {
  accessToken: string | null;
  setAccessToken: (token: string | null) => void;
};

export const useAuthStore = create<AuthState>()(
  devtools((set) => ({
    accessToken: null,
    setAccessToken: (token) => set({ accessToken: token }),
  }))
);

export const useAuthSelector = () => {
  return useAuthStore((state) => state.accessToken);
};
